import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class PhysicsExam {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);

        // Четем броя на студентите
        int N = Integer.parseInt(scanner.nextLine());

        // Създаваме списък за резултатите на студентите
        List<Double> results = new ArrayList<>();

        // Четем резултатите и ги добавяме към списъка
        for (int i = 0; i < N; i++) {
            double result = Double.parseDouble(scanner.nextLine());
            results.add(result);
        }

        // Филтрираме студентите, които са се явили на изпита (резултат различен от -1)
        List<Double> presentStudents = new ArrayList<>();
        for (Double result : results) {
            if (result != -1) {
                presentStudents.add(result);
            }
        }

        // Изчисляваме броя на студентите, явили се на изпита
        int presentCount = presentStudents.size();

        // Изчисляваме средния резултат
        double averageResult = 0.0;
        if (presentCount > 0) {
            double sum = 0.0;
            for (Double result : presentStudents) {
                sum += result;
            }
            averageResult = sum / presentCount;
        }

        // Намираме максималния резултат
        double maxResult = -1.0;
        for (Double result : presentStudents) {
            if (result > maxResult) {
                maxResult = result;
            }
        }

        // Намираме имената на студентите с най-висок резултат
        List<String> topStudents = new ArrayList<>();
        for (int i = 0; i < results.size(); i++) {
            if (results.get(i).equals(maxResult)) {
                topStudents.add("A student " + (i + 1));
            }
        }

        // Извеждаме резултатите
        System.out.println("Number of students who took the exam: " + presentCount);
        System.out.println("Average exam score: " + String.format("%.2f", averageResult));
        System.out.println("Students with the highest score: " + String.join(", ", topStudents));
    }
}
